Unit tmnr2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNR2R_p, FGMNR2R_p, MNR2R_p;

function tmnr2r: String;

implementation

function tmnr2r: String;
var
W,N,_i :Integer;
F :Real;
IRM :Array [0..1] of Integer;
X :Array [0..1] of Real;
UP :Array [0..3] of Real;
G :Array [0..1] of Real;
const
A :Array [0..1] of Real = ( -1.3,0.5 );
B :Array [0..1] of Real = ( 0.5,1.0 );
GE :Array [0..1] of Real = ( 0.1E-08,0.1E-08 );
XE :Array [0..1] of Real = ( 0.1E-08,0.1E-08 );
I0 :Array [0..1] of Integer = ( 1,1 );
FE :Real = 0.1E-18;
RM :Array [0..32] of Real = ( 100.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,
0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0 );
begin
Result := '';  {   }
N := 2;
UP[0] := 1.E-10;
UP[1] := 1.E-10;
UP[2] := 0.1;
UP[3] := 2.0;
X[0] := -1.2;
X[1] := 1.0;
Result := Result + Format('%s',[' A']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[B[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' X']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
MNR2R(X,XE,I0,A,B,N,FMNR2R,F,FE,
     FGMNR2R,G,GE,UP,RM,IRM,W);
Result := Result + Format('%s',[' W']);
Result := Result + Format('%5d ',[W]);
Result := Result + Format('%s',[' K ']);
Result := Result + Format('%20.16f ',[RM[0]]);
Result := Result + Format('%s',[' NF ']);
Result := Result + Format('%20.16f ',[RM[1]]);
Result := Result + Format('%s',[' NG ']);
Result := Result + Format('%20.16f ',[RM[2]]);
Result := Result + Format('%s',['  F']);
Result := Result + Format('%20.16f ',[F]);
Result := Result + Format('%s',['X  ']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + '  G  ']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[G[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmnr2r',Result);  {     tmnr2r.res }
exit;
end;

end.
