Unit fgmnr2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure fgmnr2r(var X :Array of Real; var G :Array of Real;
                var GE :Array of Real; var I0 :Array of Integer);

implementation

procedure fgmnr2r(var X :Array of Real; var G :Array of Real;
                var GE :Array of Real; var I0 :Array of Integer);
begin
G[0] := -4.0*(X[1]-IntPower(X[0],2))*X[0]-2.0*(1.0-X[0]);
G[1] := 2.0*(X[1]-IntPower(X[0],2));
G[0] := G[0]*I0[0];
G[1] := G[1]*I0[1];
end;

end.
